Chris
Cheney
ccheney@debian.org
7 de Março de 2003
dcop
1

# `dcop`

Cliente de &DCOP; da consola

    dcop --pipe --user  utilizador --all-users --session  sessão --all-sessions --list-sessions --no-user-time  aplicação  objecto  função argumentos

## Descrição

Cliente para a consola do &DCOP;

## Opções

`--pipe`

  Invoca o &DCOP; para cada linha lida do 'stdin'.

  Isto é relativamente parecido com a invocação de `while read linha ; do dcop $linha ; done` mas, dado que não terá de ser iniciada uma nova instância do `dcop` para cada linha, este modo é geralmente muito mais rápido, especialmente para os editores de ligações dinâmicas mais lentos da GNU.

`--user` utilizador

  Liga-se ao servidor de &DCOP; do utilizador. Esta opção irá ignorar os valores das variáveis de ambiente $`DCOPSERVER` e $`ICEAUTHORITY`, mesmo que estejam definidas.

  Se o utilizador tiver mais que uma sessão aberta, deverá também usar uma das opções da linha de comandos `--list-sessions`, `--session` ou `--all-sessions`.

`--all-users`

  Envia a mesma chamada de &DCOP; a todos os utilizadores com um servidor de &DCOP; em execução. Só as chamadas mal-sucedidas aos servidores de &DCOP; existentes irão gerar uma mensagem de erro. Se não estiver disponível qualquer servidor de &DCOP; de todo, não será gerado qualquer erro.

`--session` sessão

  Envia para a sessão de &kde; indicada. Esta opção só poderá ser usada em conjunto com a opção `--user`.

`--all-sessions`

  Envia para todas as sessões encontradas. Só funciona com as opções `--user` e `--all-users`.

`--list-sessions`

  Enumera todas as sessões activas do &kde; para um dado utilizador ou para todos.

`--no-user-time`

  Não actualiza o instante temporal de actividade do utilizador na aplicação invocada (para usar em 'scripts' que corram em segundo-plano).

## Ambiente

`DCOPSERVER`

`ICEAUTHORITY`

## Veja Também

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Dentro do &kde;, poderá indicar `help:/kdcop` no &konqueror; para ver o Manual do Utilizador da ferramenta gráfica de &DCOP; kdcop.